%define anolis_release 1
# Component versions
%global setxkbmap 1.3.2
%global xkbcomp 1.4.2
%global xkbevd 1.1.4
%global xkbprint 1.0.4
%global xkbutils 1.0.4

Summary:    X.Org X11 xkb utilities
Name:       xorg-x11-xkb-utils
Version:    7.7
Release:    %{anolis_release}%{?dist}
License:    MIT
URL:        https://www.x.org

Source0:    https://www.x.org/pub/individual/app/setxkbmap-%{setxkbmap}.tar.bz2
Source1:    https://www.x.org/pub/individual/app/xkbcomp-%{xkbcomp}.tar.bz2
Source2:    https://www.x.org/pub/individual/app/xkbevd-%{xkbevd}.tar.bz2
Source3:    https://www.x.org/pub/individual/app/xkbprint-%{xkbprint}.tar.bz2
Source4:    https://www.x.org/pub/individual/app/xkbutils-%{xkbutils}.tar.bz2

Patch0: 0001-Suppress-high-keycode-warnings-at-the-default-warnin.patch

BuildRequires:  make
BuildRequires:  byacc
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt)

Provides:   setxkbmap = %{setxkbmap}
Provides:   xkbcomp = %{xkbcomp}

%description
X.Org X11 xkb core utilities.

%package devel
Summary:    X.Org X11 xkb utilities development package
Requires:   pkgconfig
Requires:   xkbcomp

%description devel
X.Org X11 xkb utilities development files.

%package -n xorg-x11-xkb-extras
Summary:    X.Org X11 xkb gadgets
Provides:   xkbevd = %{xkbevd}
Provides:   xkbprint = %{xkbprint}
Provides:   xkbutils = %{xkbutils}

%description -n xorg-x11-xkb-extras
X.Org X11 xkb gadgets.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4
pushd xkbcomp-*
%patch0 -p1
popd

%build
# Build all apps
{
    for app in * ; do
        pushd $app
            case $app in
                xkbcomp-*)
                    rm xkbparse.c # force regen
                    ;;
                *)
                    ;;
            esac
            %configure
            make %{?_smp_mflags}
        popd
    done
}

%install
# Install all apps
{
    for app in * ; do
        pushd $app
            %make_install
        popd
    done
}

%files
%{_bindir}/setxkbmap
%{_bindir}/xkbcomp
%{_mandir}/man1/setxkbmap.1*
%{_mandir}/man1/xkbcomp.1*

%files -n xorg-x11-xkb-extras
%doc xkbutils-%{xkbutils}/COPYING
%doc xkbutils-%{xkbutils}/README
%{_bindir}/xkbbell
%{_bindir}/xkbevd
%{_bindir}/xkbprint
%{_bindir}/xkbvleds
%{_bindir}/xkbwatch
%{_mandir}/man1/xkbbell.1*
%{_mandir}/man1/xkbevd.1*
%{_mandir}/man1/xkbprint.1*
%{_mandir}/man1/xkbvleds.*
%{_mandir}/man1/xkbwatch.*

%files devel
%{_libdir}/pkgconfig/xkbcomp.pc

%changelog
* Mon Aug 1 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 7.7-1
- Init from upstream version 7.7
